package cn.wise.sc.acquisition.business.service;

import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.entity.TProcessesDigging;
import cn.wise.sc.acquisition.business.model.PageQuery;
import cn.wise.sc.acquisition.business.model.query.TProcessesDiggingQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2021-04-28
 */
public interface ITProcessesDiggingService extends IService<TProcessesDigging> {

	R getTodayData(String digDate);

	R<IPage<TProcessesDigging>> getPage(PageQuery pageQuery, String digDate);

	R save(TProcessesDiggingQuery query);

	R update(TProcessesDiggingQuery query);

	R<TProcessesDigging> getDetail(String Uid);



}
